> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gumloop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update artifact access

> Add or remove people, teams, or organization access, or change link access for an artifact.



## OpenAPI

````yaml put /artifacts/{artifact_id}/access
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.gumloop.com/api/v1
security: []
paths:
  /artifacts/{artifact_id}/access:
    put:
      tags:
        - Artifacts
      summary: Update artifact access
      description: >-
        Add or remove people, teams, or organization access, or change link
        access for an artifact.
      operationId: updateArtifactAccess
      parameters:
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
        - name: team_id
          in: query
          required: false
          schema:
            type: string
          description: Team scope when using a team API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItemAccessChangeRequest'
      responses:
        '200':
          description: Updated artifact access settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemAccessChangeResponse'
        '400':
          description: Invalid access change.
        '401':
          description: Unauthorized — missing or invalid credentials.
        '403':
          description: Forbidden — the caller cannot manage access settings.
        '404':
          description: Artifact not found.
      security:
        - bearerAuth: []
components:
  schemas:
    ItemAccessChangeRequest:
      type: object
      properties:
        share:
          type: array
          items:
            oneOf:
              - type: object
                required:
                  - type
                  - email
                  - role
                properties:
                  type:
                    type: string
                    enum:
                      - person
                  email:
                    type: string
                  role:
                    type: string
              - type: object
                required:
                  - type
                  - team_id
                  - role
                properties:
                  type:
                    type: string
                    enum:
                      - team
                  team_id:
                    type: string
                  role:
                    type: string
              - type: object
                required:
                  - type
                  - role
                properties:
                  type:
                    type: string
                    enum:
                      - organization
                  role:
                    type: string
        remove:
          type: array
          items:
            oneOf:
              - type: object
                required:
                  - type
                  - email
                properties:
                  type:
                    type: string
                    enum:
                      - person
                  email:
                    type: string
              - type: object
                required:
                  - type
                  - team_id
                properties:
                  type:
                    type: string
                    enum:
                      - team
                  team_id:
                    type: string
              - type: object
                required:
                  - type
                properties:
                  type:
                    type: string
                    enum:
                      - organization
        link:
          type: object
          required:
            - mode
          properties:
            mode:
              type: string
              enum:
                - none
                - anyone
                - password
            role:
              type: string
              nullable: true
        team_id:
          type: string
          nullable: true
          description: Team scope when using a team API key.
    ItemAccessChangeResponse:
      type: object
      required:
        - access
        - notified
      properties:
        access:
          $ref: '#/components/schemas/ItemAccess'
        notified:
          type: array
          items:
            type: string
    ItemAccess:
      type: object
      required:
        - people
        - password_protected
        - teams
        - organization_access
        - link
        - link_role
        - grants_visibility
      properties:
        people:
          type: array
          items:
            type: object
            required:
              - email
              - name
              - role
            properties:
              email:
                type: string
              name:
                type: string
              role:
                type: string
        password_protected:
          type: boolean
        teams:
          type: array
          items:
            type: object
            required:
              - team_id
              - role
            properties:
              team_id:
                type: string
              role:
                type: string
        organization_access:
          type: object
          nullable: true
          required:
            - role
          properties:
            role:
              type: string
        link:
          type: string
          enum:
            - none
            - anyone
            - password
        link_role:
          type: string
          nullable: true
        grants_visibility:
          type: string
          enum:
            - full
            - limited
        hidden_by_role:
          type: object
          description: Present when access grants are only partially visible to the caller.
          additionalProperties:
            type: object
            properties:
              people:
                type: integer
              teams:
                type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        A personal API key or an [OAuth 2.0](/api-reference/oauth) access token.
        Personal API keys also require the `x-auth-key` header with your user
        ID.

````